Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.client
Class ImportExport

    java.lang.Object
      |
      +--com.bea.wlai.client.ImportExport

public class ImportExport
extends java.lang.Object

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `OBJECT_TYPE_APPLICATION_VIEW`
`static java.lang.String` | `OBJECT_TYPE_CONNECTION_FACTORY`
`static java.lang.String` | `OBJECT_TYPE_FOLDER`
`static java.lang.String` | `OBJECT_TYPE_NAMESPACE`
`static java.lang.String` | `OBJECT_TYPE_SCHEMA`
`static java.lang.String` | `OBJECT_TYPE_TEXT_DOCUMENT`
`static java.lang.String` | `OBJECT_TYPE_UNKNOWN`
`static java.lang.String` | `ROOT_NAMESPACE_NAME`

Constructor Summary
`ImportExport(java.io.File file)`
`ImportExport(java.io.File file, java.lang.String codepage)`

Method Summary
`void` | `connect()`
`void` | `connect(javax.naming.InitialContext ctx)`
`void` | `connect(java.lang.String contextURL, java.lang.String wlsUserID, java.lang.String wlsPassword)`
`void` | `dumpNamespace(java.lang.String namespaceName, java.lang.String indent)`
`void` | `exportNamespaceObjects(java.util.Set objectNames, boolean append, java.util.List errors)`
`static java.lang.String` | `getElementContent(org.w3c.dom.Element element)`
`void` | `importNamespaceObjects(boolean overwrite, boolean deploy, java.util.List errors)`
`void` | `importNamespaceObjects(IDocument editOnImportDoc, boolean overwrite, boolean deploy, java.util.List errors)`
`static void` | `main(java.lang.String[] args)`
`static void` | `printUsage()`
`static void` | `setElementContent(org.w3c.dom.Element element, java.lang.String content)`
`void` | `setFile(java.io.File file)`
`void` | `setPrintWriter(java.io.PrintWriter out)`
`void` | `setQuiet(boolean quiet)`
`static void` | `setTextContent(org.w3c.dom.Text text, java.lang.String content)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_NAMESPACE_NAME

    public static final java.lang.String ROOT_NAMESPACE_NAME

### OBJECT_TYPE_UNKNOWN

    public static final java.lang.String OBJECT_TYPE_UNKNOWN

### OBJECT_TYPE_APPLICATION_VIEW

    public static final java.lang.String OBJECT_TYPE_APPLICATION_VIEW

### OBJECT_TYPE_CONNECTION_FACTORY

    public static final java.lang.String OBJECT_TYPE_CONNECTION_FACTORY

### OBJECT_TYPE_SCHEMA

    public static final java.lang.String OBJECT_TYPE_SCHEMA

### OBJECT_TYPE_NAMESPACE

    public static final java.lang.String OBJECT_TYPE_NAMESPACE

### OBJECT_TYPE_FOLDER

    public static final java.lang.String OBJECT_TYPE_FOLDER

### OBJECT_TYPE_TEXT_DOCUMENT

    public static final java.lang.String OBJECT_TYPE_TEXT_DOCUMENT

Constructor Detail

### ImportExport

    public ImportExport(java.io.File file)

### ImportExport

    public ImportExport(java.io.File file,
                        java.lang.String codepage)
                 throws java.lang.Exception

Method Detail

### printUsage

    public static void printUsage()

### main

    public static void main(java.lang.String[] args)

### connect

    public void connect()
                 throws java.lang.Exception

### connect

    public void connect(java.lang.String contextURL,
                        java.lang.String wlsUserID,
                        java.lang.String wlsPassword)
                 throws java.lang.Exception

### connect

    public void connect(javax.naming.InitialContext ctx)
                 throws java.lang.Exception

### dumpNamespace

    public void dumpNamespace(java.lang.String namespaceName,
                              java.lang.String indent)
                       throws java.lang.Exception

### exportNamespaceObjects

    public void exportNamespaceObjects(java.util.Set objectNames,
                                       boolean append,
                                       java.util.List errors)
                                throws java.lang.Exception

### getElementContent

    public static java.lang.String getElementContent(org.w3c.dom.Element element)

### importNamespaceObjects

    public void importNamespaceObjects(boolean overwrite,
                                       boolean deploy,
                                       java.util.List errors)
                                throws java.lang.Exception

### importNamespaceObjects

    public void importNamespaceObjects(IDocument editOnImportDoc,
                                       boolean overwrite,
                                       boolean deploy,
                                       java.util.List errors)
                                throws java.lang.Exception

### setElementContent

    public static void setElementContent(org.w3c.dom.Element element,
                                         java.lang.String content)

### setFile

    public void setFile(java.io.File file)

### setQuiet

    public void setQuiet(boolean quiet)

### setTextContent

    public static void setTextContent(org.w3c.dom.Text text,
                                      java.lang.String content)

### setPrintWriter

    public void setPrintWriter(java.io.PrintWriter out)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)